net.fortuna.ical4j.model.component

## Class Daylight

- java.lang.Object
- - net.fortuna.ical4j.model.Component
  - - net.fortuna.ical4j.model.component.Observance
    - - net.fortuna.ical4j.model.component.Daylight

All Implemented Interfaces:
  Serializable

    public class Daylight
    extends Observance

$Id$ [05-Apr-2004] Defines an iCalendar daylight savings timezone observance component.

           daylightc  = "BEGIN" ":" "DAYLIGHT" CRLF

                        tzprop

                        "END" ":" "DAYLIGHT" CRLF

           tzprop     = 3*(

                      ; the following are each REQUIRED,
                      ; but MUST NOT occur more than once

                      dtstart / tzoffsetto / tzoffsetfrom /

                      ; the following are optional,
                      ; and MAY occur more than once

                      comment / rdate / rrule / tzname / x-prop

                      )

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.component.Observance

`DAYLIGHT, STANDARD`

### Fields inherited from class net.fortuna.ical4j.model.Component

`AVAILABLE, BEGIN, END, EXPERIMENTAL_PREFIX, VALARM, VAVAILABILITY, VEVENT, VFREEBUSY, VJOURNAL, VTIMEZONE, VTODO, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`Daylight()` Default constructor.
`Daylight(PropertyList properties)` Constructor.

### Method Summary

### Methods inherited from class net.fortuna.ical4j.model.component.Observance

`getLatestOnset, getOffsetFrom, getOffsetTo, getStartDate, validate`

### Methods inherited from class net.fortuna.ical4j.model.Component

`calculateRecurrenceSet, copy, equals, getName, getProperties, getProperties, getProperty, hashCode, toString, validate, validateProperties`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Daylight

    public Daylight()

Default constructor.

#### Daylight

    public Daylight(PropertyList properties)

Constructor.

Parameters:
  `properties` - a list of properties